<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Status extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
    ];

    /**
     * Get the orders associated with this status.
     */
    public function orders()
    {
        return $this->hasMany(Order::class, 'status_id');
    }
}
