<?php

namespace App\Services\Carts;

use App\Repositories\Cart\CartRepositoryImpl;

 class CartServiceImpl implements CartService
 {

    protected CartRepositoryImpl $cartRepository;
    
    public function __construct(CartRepositoryImpl $cartRepositoryImpl) {
    
        $this->cartRepository= $cartRepositoryImpl;
    }
    
    public function addToCart(array $data)
    {
         $cart = $this->cartRepository->addToCart($data);
         
         return $cart;
    }
    
    public function getUserCart(){
     
        $cart = $this->cartRepository->getUserCart();

        return $cart;
    }
    
}