<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class ProductSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $products = [
            [
                'name' => 'Moon Skin Pure White Milk Cream',
                'description' => 'moon skin pure white cream for beautiful skin',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 123,
                'price' => 27
            ],
            [
                'name' => 'Bye Bye Sun Sun Product',
                'description' => 'Bye bye sun product for beautiful skin',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 128,
                'price' => 27
            ],
            [
                'name' => '7DAYS MIRACLE (7Ampoules*1ml)',
                'description' => 'Bye bye sun product for beautiful skin',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1238,
                'price' => 27
            ],
            [
                'name' => 'Madamar Caviar & Diamond Face Cream',
                'description' => 'Bye bye sun product for beautiful skin',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1235,
                'price' => 27
            ],
            [
                'name' => 'Madamar Bio-Gold Pearl Cream',
                'description' => 'Madamar Bio-Gold Pearl Cream',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1236,
                'price' => 27
            ],
            [
                'name' => 'Bio-Gold Skin Tonic',
                'description' => 'Madamar Bio-Gold Pearl Cream',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1237,
                'price' => 27
            ],
            [
                'name' => 'Madamar Caviar & Diamond Micellar Fluid',
                'description' => 'Madamar Bio-Gold Pearl Cream',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1239,
                'price' => 27
            ],
            [
                'name' => 'Madamar Caviar & Diamond Eye Serum',
                'description' => 'Madamar Caviar & Diamond Eye Serum',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1923,
                'price' => 27
            ],
            [
                'name' => 'Rejuvenating Facial CLeansing Gel',
                'description' => 'Rejuvenating Facial CLeansing Gel',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 1230,
                'price' => 27
            ],
            [
                'name' => 'Hydrating Facial Cleansing Gel',
                'description' => 'Rejuvenating Facial CLeansing Gel',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 12352,
                'price' => 27
            ],
            [
                'name' => 'Purifying Facial Cleansing',
                'description' => 'Rejuvenating Facial CLeansing Gel',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 123458,
                'price' => 27
            ],
            [
                'name' => 'Soothing Facial Cleansing Gel',
                'description' => 'Rejuvenating Facial CLeansing Gel',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 235,
                'price' => 27
            ],
            [
                'name' => 'Filtered Purifying Gel Micro-Exfoliant',
                'description' => 'Filtered Purifying Gel Micro-Exfoliant',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 557,
                'price' => 27
            ],
            [
                'name' => 'Filtered Purifying Tonic Lotion',
                'description' => 'Filtered Purifying Tonic Lotion',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 362,
                'price' => 27
            ],
            [
                'name' => 'Filtered Sebo-Regular Moisturizing Cream',
                'description' => 'Filtered Purifying Tonic Lotion',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 3210,
                'price' => 27
            ],
            [
                'name' => 'Filtered Purifying Cream',
                'description' => 'Filtered Purifying Cream',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 96587,
                'price' => 27
            ],
            [
                'name' => 'Hand Treat Urea 5% & Vitamin E',
                'description' => 'Filtered Purifying Cream',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 65425,
                'price' => 27
            ],
            [
                'name' => 'Foot Treat Urea 30% Panthenol',
                'description' => 'Foot Treat Urea 30% Panthenol',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 7895,
                'price' => 27
            ],
            [
                'name' => 'Arabian Princess Secret Henna Essence Therapy For Damaged Hair',
                'description' => 'Arabian Princess Secret Henna Essence Therapy For Damaged Hair',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 85697,
                'price' => 27
            ],
            [
                'name' => 'Arabian Princess Secret Henna Essence Therapy For Damaged Hair',
                'description' => 'Arabian Princess Secret Henna Essence Therapy For Damaged Hair',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 7412,
                'price' => 27
            ],
            [
                'name' => 'Vitamin C Set Brightening & Moisturising Facial Mask',
                'description' => 'Vitamin C Set Brightening & Moisturising Facial Mask',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 98745,
                'price' => 27
            ],
            [
                'name' => 'Miracle Anti-Hair Loss Ritual ',
                'description' => 'Miracle Anti-Hair Loss Ritual ',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 7892,
                'price' => 27
            ],
            [
                'name' => 'Dual Mask Pack "02Bubble , Firming " ',
                'description' => 'Miracle Anti-Hair Loss Ritual ',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 36900,
                'price' => 27
            ],
            [
                'name' => 'Nourishing Treatment Hair Cap Mask',
                'description' => 'Miracle Anti-Hair Loss Ritual ',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 95482,
                'price' => 27
            ],
            [
                'name' => 'Repairing Treatment Ponytail Hair Mask',
                'description' => 'Repairing Treatment Ponytail Hair Mask',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 596269,
                'price' => 27
            ],
            [
                'name' => 'Smoothing Face Mask',
                'description' => 'Smoothing Face Mask',
                'brand_id' => 1,
                'category_id' => 1,
                'in_stock' => 1,
                'sku' => 6666,
                'price' => 27
            ],

        ];

        foreach ($products as $product) {
            DB::table('products')->insert([
                'name' => $product['name'],
                'description' => $product['description'],
                'brand_id' => $product['brand_id'],
                'category_id' => $product['category_id'],
                'in_stock' => $product['in_stock'],
                'sku' => $product['sku'],
                'price' => $product['price'],
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
